.block {
    font-size: toRem(14);
    line-height: 1.5;
    border-radius: 8px;
    background: $white;
    border: 1px solid $line;
    display: flex;
    flex-direction: column;

    &__header {
        padding: toRem(12) toRem(16);
        display: flex;
        flex-wrap: wrap;
        row-gap: toRem(8);
        align-items: center;
        justify-content: space-between;
    }

    &__body {
        padding: toRem(12) toRem(16);
    }

    &__footer {
        padding: toRem(12) toRem(16);

        &--glow {
            flex-grow: 1;
            display: flex;
            flex-direction: column;
            justify-content: flex-end;
        }
    }

    &__icon {
        font-size: 0;
        line-height: 0;
        height: toRem(24);
        display: inline-block;
        flex-shrink: 0;
    }

    &__title {
        color: $black;
        font-weight: 500;
        font-size: toRem(14);
        line-height: toRem(24);
    }

    &__date {
        color: #5D6570;
        font-size: toRem(14);
        line-height: toRem(24);
    }

    &__info {
        margin: 0;
        padding: 0 0 toRem(6) 0;
        border-bottom: 1px solid #E3E4E4;
        color: #5D6570;
        list-style: none;
        font-size: toRem(14);
        line-height: toRem(24);
        display: flex;
        align-items: center;
        flex-wrap: wrap;

        strong {
            color: $black;
            font-weight: 400;
        }

        &__divider {
            width: 1px;
            height: toRem(16);
            margin: 0 toRem(12);
            background: $black;
        }
    }

    &__divider {
        margin: 0 toRem(16);
        border-bottom: 1px solid #E3E4E4;
    }

    &__scroll {

    }

    @include media-breakpoint-up(xl) {

        &__scroll {
            padding-right: toRem(16);
            max-height: calc(100vh - 296px);
        }
    }
}

.block-tag {
    font-size: toRem(14);
    line-height: toRem(16);
    border-radius: 8px;
    white-space: nowrap;
    padding: toRem(4) toRem(10);
    text-transform: uppercase;

    &--dark {
        color: $white;
        background: #45526C;
    }

    &--blue {
        color: $white;
        background: #003DE4;
    }

    &--green {
        color: #3B7156;
        background: #E8FBF0;
    }

    &--light-blue {
        color: #003DE4;
        background: #E0EBFD;
    }

    &--black {
        color: $white;
        background: $black;
    }

    &--dark-green {
        color: $white;
        background: $green;
    }

    &--blue-outline {
        color: $blue;
        background: $white;
        border: 1px solid $blue;
    }
}

.block-price {
    color: #5D6570;
    margin-bottom: toRem(12);

    strong  {
        color: $black;
        font-weight: 400;
    }
}

.unit {
    font-size: toRem(14);
    line-height: toRem(24);

    &__header {
        padding: toRem(2) 0;
        display: flex;
        align-items: flex-start;

        &__wrap {
            width: 100%;
            display: flex;
            align-items: center;
            justify-content: space-between;
        }
    }

    &__arrow {
        font-size: 0;
        line-height: 0;
        cursor: pointer;
        height: toRem(24);
        flex-shrink: 0;
        margin-right: toRem(4);
        fill: $blue;
        transform: rotate(0deg);
        transition: .3s;
    }

    &__title {

        strong {
            font-weight: 500;
        }

        a {
            color: $blue;
            text-decoration: none;
            transition: .25s;

            &:hover {
                color: $black;
                text-decoration: none;
                transition: .25s;
            }
        }
    }

    &__item {
        color: #5D6570;

        strong {
            color: $black;
            font-weight: 500;
        }
    }

    &__control {
        display: flex;
        align-items: center;
    }

    &__body {
        padding-left: toRem(8);
    }

    &__points {

        > * {
            padding: 2px 0;
            margin-left: toRem(12);
        }
    }

    &.open {

        .unit__arrow {
            transform: rotate(180deg);
            transition: .3s;
        }

        .inline-pl {
            padding-left: toRem(4);
            transition: .25s;
        }
    }

    @include media-breakpoint-up(md) {

        &__header {

            &__wrap {
                width: 100%;
                display: flex;
                align-items: center;
                justify-content: space-between;
            }
        }

        &__points {

            > * {
                padding: 0;
                margin-left: toRem(12);
            }
        }

        &__body {
        }
    }
}

.inline {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}

.inline-pl {
    padding-left: toRem(28);
    transition: .25s;
}

.inline-item {
    color: #5D6570;

    strong {
        color: $black;
        font-weight: 500;
    }
}

.inline-divider {
    width: 1px;
    height: toRem(16);
    margin: 0 toRem(12);
    background: $black;
}

.inline-link {
    color: $blue;
    text-decoration: none;
    transition: .25s;

    strong {
        color: $blue;
        transition: .25s;
    }

    &:hover {
        color: $black;
        text-decoration: none;
        transition: .25s;

        strong {
            color: $black;
            transition: .25s;
        }
    }
}

.inline-icon {
    fill: $black;
    font-size: 0;
    line-height: 0;
    width: toRem(16);
    height: toRem(16);
    display: inline-block;
    flex-shrink: 0;
}

.inline-text {
    color: #5D6570;
    line-height: 120%;
}

.unit-point {
    font-size: toRem(14);
    line-height: toRem(20);
    display: inline-flex;
    align-items: center;

    &__name {
        color: $white;
        background: $blue;
        height: toRem(24);
        min-width: toRem(40);
        border-radius: 8px;
        padding: toRem(4) toRem(10);
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__value {
        margin-left: toRem(4);
    }
}

.unit-comment {
    font-size: 0;
    line-height: 0;
    width: toRem(24);
    height: toRem(24);
    display: block;

    &--blue {
        stroke: $blue;
    }

    &--red {
        stroke: $red;
    }
}

.unit-point.mr-12 {
    padding: toRem(2) 0;

    @include media-breakpoint-up(md) {
        padding: 0;
    }
}

.block--blue {
    color: $white;
    background: #003DE4;
    border-color: #003DE4;

    a {
        color: $white;
        text-decoration: underline;

        &:hover {
            color: $white;
            text-decoration: none;
        }
    }
}

.block-alert {
    flex-shrink: 0;
    width: 72px;
}

.block-book {
    flex-shrink: 0;
    width: 72px;
}


.block-media {
    flex-shrink: 0;
    width: 72px;
}
